View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000863Ecere SDKidepublic2013-04-24 14:062013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000863: Support: PJ_LIST_H="pj_list.h" in preprocessor definitions
DescriptionSupport: PJ_LIST_H="pj_list.h" in preprocessor definitions
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000754)
redj (administrator)
2013-04-27 02:40
edited on: 2013-05-05 15:57

fixed by https://github.com/ecere/sdk/commit/50c31b8ccd485c9a85f9f97b76333027626578ea [^]

(0000854)
jerome (administrator)
2013-05-27 18:16

I tried this to no avail (on Windows):

I added to the preprocessor defs:

MY_HEADER_H="myHeader.h"

And used #include MY_HEADER_H in the source file

Output:

Default Compiler
MyProject-Debug.Makefile - Updating makefile for Debug config...
Compiling specific file(s) in project MyProject using the Debug configuration...
Generating symbols...
mySource.ec
   Syntax:
<input>
Compiling...
mySource.ec
   Syntax:
<input>
mySource.c
   gcc: error: Files/Java/jdk1.6.0_29/include: No such file or directory
   gcc: error: Files/Java/jdk1.6.0_29/include/win32: No such file or directory
   gcc: error: obj/debug.win32/mySource.c: No such file or directory
   gcc: fatal error: no input files
compilation terminated.
4 errors, no warning

(0000865)
jerome (administrator)
2013-05-30 22:28

There were some issues with Tokenize() related to 0000778 on Windows (should unescape spaces and backslashes but not other characters).

Still in progress.
(0000870)
redj (administrator)
2013-05-31 02:32
edited on: 2013-06-05 00:56

improved / fixed by https://github.com/redj/ecere-sdk/commit/26e3fc61d5e3ede9ede6fc1b1ad1b6e29f6a0e98 [^]

(0000874)
jerome (administrator)
2013-06-04 16:21

Still broken
(0000876)
redj (administrator)
2013-06-05 00:56
edited on: 2013-06-05 02:14

fixed by https://github.com/redj/ecere-sdk/commit/e68d083cbd36f5993c7d58721fa9dd53ece15d26 [^]

(0000897)
jerome (administrator)
2013-06-13 11:00

Fixed by https://github.com/ecere/sdk/commit/5a5cf3b8711d10f5c46d4a19e3bf25033ab34ad1 [^]

- Issue History
Date Modified Username Field Change
2013-04-24 14:06 redj New Issue
2013-04-24 14:07 redj Assigned To => redj
2013-04-24 14:07 redj Status new => feedback
2013-04-24 19:57 jerome Priority normal => immediate
2013-04-27 02:40 redj Status feedback => resolved
2013-04-27 02:40 redj Fixed in Version => 0.44.1 64
2013-04-27 02:40 redj Resolution open => fixed
2013-04-27 02:40 redj Note Added: 0000754
2013-05-05 15:57 redj Note Edited: 0000754
2013-05-27 18:16 jerome Note Added: 0000854
2013-05-27 18:16 jerome Status resolved => assigned
2013-05-29 21:07 redj Status assigned => resolved
2013-05-29 21:07 redj Note Added: 0000862
2013-05-30 22:28 jerome Note Added: 0000865
2013-05-30 22:28 jerome Status resolved => assigned
2013-05-31 02:32 redj Note Added: 0000870
2013-05-31 02:32 redj Note Deleted: 0000862
2013-05-31 02:32 redj Note Edited: 0000870
2013-05-31 02:33 redj Status assigned => resolved
2013-06-04 16:21 jerome Note Added: 0000874
2013-06-04 16:21 jerome Status resolved => assigned
2013-06-05 00:55 redj Note Edited: 0000870
2013-06-05 00:56 redj Note Edited: 0000870
2013-06-05 00:56 redj Note Added: 0000876
2013-06-05 00:56 redj Status assigned => resolved
2013-06-05 02:14 redj Note Edited: 0000876
2013-06-13 11:00 jerome Status resolved => closed
2013-06-13 11:00 jerome Note Added: 0000897
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker